complexType "ResetReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 15 elements
Defined: | globally in fpml-reporting-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, dataSetName?, reportContents?, index?, indexSource?, rateObservation?, affectedPositions?, party*, account*
</...>

Content Model Elements (15):

  account, affectedPositions, asOfDate (in resetReport), correlationId, dataSetName (in resetReport), header (defined in NotificationMessage complexType), index (in resetReport), indexSource (in resetReport), | onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), rateObservation (in resetReport), reportContents (in resetReport), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  resetReport

Known Usage Locations

- As direct type of elements (1):
  resetReport

Annotation
A type defining the content model for a message allowing one party to send a report listing an index that has been observed/set and the affected positions.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) ResetReport

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="ResetReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="index" type="ForecastRateIndex"/> <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"/> <xsd:element minOccurs="0" name="rateObservation" type="RateObservation"/> <xsd:element minOccurs="0" name="affectedPositions" type="AffectedPositions"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/15)
affectedPositions

  Type: | AffectedPositions, complex content

  The positions affected by this fixing.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="affectedPositions" type="AffectedPositions"/>

asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this request was generated.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

dataSetName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the data set (portfolio, product type, etc.) that this report corresponds to.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/>

index

  Type: | ForecastRateIndex, complex content

  The rate index that has set.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="index" type="ForecastRateIndex"/>

indexSource

  Type: | RateSourcePage, simple content

  The reference source such as Reuters or Bloomberg.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"/>

rateObservation

  Type: | RateObservation, complex content

  The value of the index on the reset/fixing date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateObservation" type="RateObservation"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.